/[suikacvs]/test/suikawebwww/style/def/uri.css
Suika

Contents of /test/suikawebwww/style/def/uri.css

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.4 - (hide annotations) (download) (as text)
Mon Jul 4 12:29:04 2005 UTC (21 years, 2 months ago) by wakaba
Branch: MAIN
CVS Tags: HEAD
Changes since 1.3: +7 -2 lines
File MIME type: text/css
Rules for @media print added

1 wakaba 1.1 @charset 'iso-2022-jp';
2    
3     dl.uri-equiv,
4     dl.urn-suika-sub-nid-def {
5     display: block;
6     margin-left: auto;
7     margin-right: auto;
8     width: 70%;
9     border: 4px orange solid;
10     -moz-border-radius: 20px;
11     padding: 0.4em 0.8em;
12     }
13    
14 wakaba 1.2 dl.uri-equiv.deprecated {
15     border-color: gray;
16     }
17    
18 wakaba 1.1 dl.uri-equiv:before,
19     dl.urn-suika-sub-nid-def:before {
20     content: "$BDj5A(B";
21     display: block;
22     border-bottom: 4px orange solid;
23     margin-bottom: 0.3em;
24     font-weight: bolder;
25 wakaba 1.2 font-family: sans-serif;
26 wakaba 1.1 }
27    
28     dl.uri-equiv > dt,
29     dl.urn-suika-sub-nid-def > dt {
30     display: block;
31     float: left;
32     clear: left;
33     width: 4em;
34     margin: 0 0.2em 0.5em 0;
35     border-style: none;
36     padding: 0.2em 0.2em 0.2em 0.5em;
37     list-style: none;
38     text-indent: 0;
39     font-weight: normal;
40     }
41    
42     dl.uri-equiv > dt:after,
43     dl.urn-suika-sub-nid-def > dt:after {
44     content: " :";
45     display: inline;
46     }
47    
48     dl.uri-equiv > dd,
49     dl.urn-suika-sub-nid-def > dd {
50     display: block;
51     margin: 0 0 0.5em 0;
52     border-style: none;
53     padding: 0.2em 0.5em;
54     text-indent: 0;
55     }
56    
57     /* URI Equivalence Property Definitions
58     <http://suika.fam.cx/admin/assign/urn#EQUIV> */
59    
60     dl.uri-equiv {
61     min-width: 11em;
62     }
63    
64     dl.uri-equiv:before {
65 wakaba 1.2 display: none;
66     }
67    
68     dl.uri-equiv > dt.uri-equiv-name {
69     display: none;
70     }
71    
72     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) {
73     margin-left: 0;
74     margin-bottom: 0;
75     border-bottom: #C0C0C0 2px solid;
76     padding-left: 0;
77     padding-bottom: 0.1em;
78     font-weight: bolder;
79     font-family: sans-serif;
80     }
81    
82     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja):before {
83     content: "URI $BEy2A@-(B: ";
84     display: inline;
85     }
86    
87     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) + dd:lang(en) {
88     margin-left: 0;
89     margin-top: 0;
90     border-top: none 0 white;
91     padding-left: 0;
92     padding-top: 0.1em;
93     font-weight: bolder;
94     font-family: sans-serif;
95     font-size: 80%;
96 wakaba 1.4 }
97    
98     @media screen {
99     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) + dd:lang(en) {
100     opacity: 0.3;
101     }
102 wakaba 1.2 }
103    
104     dl.uri-equiv > dt.uri-equiv-name + dd:lang(ja) + dd:lang(en):before {
105     content: "URI Equivalence: ";
106     display: inline;
107 wakaba 1.1 }
108    
109     /* Suika URN sub-nid Templates
110     <http://suika.fam.cx/admin/assign/urn#TEMPLATE> */
111    
112     dl.urn-suika-sub-nid-def {
113     min-width: 21em;
114     }
115    
116     dl.urn-suika-sub-nid-def:before {
117     content: "$B@>1;(B URI $BItJ,L>A06u4VDj5A(B";
118     }
119    
120     dl.urn-suika-sub-nid-def > dt {
121     width: 10em;
122     }
123    
124     /* IETF Template-like Style */
125    
126     dl.urn-nid-def {
127     display: block;
128     margin-left: auto;
129     margin-right: auto;
130     border-style: none;
131     padding: 0;
132     width: 33em;
133     }
134    
135     dl.urn-nid-def > dt {
136     display: block;
137     float: none;
138     width: auto;
139     margin: 1em 0 0 0;
140     border-style: none;
141     padding: 0;
142     list-style: none;
143     text-indent: 0;
144     }
145    
146     dl.urn-nid-def > dt:after {
147     content: ":";
148     display: inline;
149     }
150    
151     dl.urn-nid-def > dd {
152     display: block;
153     float: none;
154     width: auto;
155     margin: 1em 0 0 1.5em;
156     border-style: none;
157     padding: 0;
158     text-indent: 0;
159     }
160    
161     /* URN NID Templates */
162    
163     dl.urn-nid-def > dd.registration-date {
164     margin-top: 0;
165     }
166    
167     dl.urn-nid-def > dd > dl {
168     display: block;
169     margin: 0;
170     border-style: none;
171     padding: 0;
172     }
173    
174     dl.urn-nid-def > dd > dl > dt {
175     display: block;
176     float: none;
177     margin: 0;
178     border-style: none;
179     padding: 0;
180     list-style: none;
181     text-indent: 0;
182     }
183    
184     dl.urn-nid-def > dd > dl > dd {
185     display: block;
186     float: none;
187     margin: 0 0 0 1.5em;
188     border-style: none;
189     padding: 0;
190     list-style: none;
191     text-indent: 0;
192     }
193    
194     /* License
195    
196     Copyright 2005 Wakaba <[email protected]>.
197    
198     This program is free software; you can redistribute it and/or modify
199     it under the terms of the GNU General Public License as published by
200     the Free Software Foundation; either version 2 of the License, or
201     (at your option) any later version.
202    
203     This program is distributed in the hope that it will be useful,
204     but WITHOUT ANY WARRANTY; without even the implied warranty of
205     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
206     GNU General Public License for more details.
207    
208     You should have received a copy of the GNU General Public License
209     along with this program; see the file COPYING. If not, write to
210     the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
211     Boston, MA 02111-1307, USA.
212    
213     */
214    
215 wakaba 1.4 /* $Date: 2005/06/22 11:50:18 $ */

[email protected]
ViewVC Help
Powered by ViewVC 1.1.24